Module java.base
Package java.security.interfaces

## Interface DSAPublicKey

All Superinterfaces:
  DSAKey, Key, PublicKey, Serializable

    public interface DSAPublicKey
    extends DSAKey, PublicKey

The interface to a DSA public key. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

See Also:
  `Key`, `Signature`, `DSAKey`, `DSAPrivateKey`

### Field Summary

Fields
`static long` `serialVersionUID` The class fingerprint that is set to indicate serialization compatibility with a previous version of the class.

### Method Summary

All Methods Instance Methods Abstract Methods
`BigInteger` `getY()` Returns the value of the public key, `y`.

### Methods inherited from interface java.security.interfaces.DSAKey

`getParams`

### Methods inherited from interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

### Field Detail

#### serialVersionUID

    static final long serialVersionUID

The class fingerprint that is set to indicate serialization compatibility with a previous version of the class.

See Also:
  Constant Field Values

### Method Detail

#### getY

    BigInteger getY()

Returns the value of the public key, `y`.

Returns:
  the value of the public key, `y`.